StoreTransferObjectThread (The Data Transfer Scheduler Service 2.0.0-4.6.0-126202 API)
Date: 2017-07-28

org.gcube.datatransfer.scheduler.impl.porttype

## Class StoreTransferObjectThread

- java.lang.Object
- - java.lang.Thread
  - - org.gcube.datatransfer.scheduler.impl.porttype.StoreTransferObjectThread

- All Implemented Interfaces:
    Runnable

      public class StoreTransferObjectThread
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreTransferObjectThread(Set<org.gcube.datatransfer.scheduler.db.model.TransferObject> objs, String transferId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `process()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreTransferObjectThread

          public StoreTransferObjectThread(Set<org.gcube.datatransfer.scheduler.db.model.TransferObject> objs,
                                   String transferId)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### process

          public boolean process()

Copyright © 2017. All Rights Reserved.